## Deploy to Kubernetes in Google Cloud: Challenge Lab 

Laboratory code: `GSP318`

### Challenge scenario

You have just completed training on containers and their creation and management and now you need to demonstrate to the Jooli Inc. development team your new skills. You have to help with some of their initial work on a new project around an application environment utilizing Kubernetes. Some of the work was already done for you, but other parts require your expert skills.

You are expected to create container images, store the images in a repository, and expose a deployment in Kubernetes. Your know that Kurt, your supervisor, will ask you to complete these tasks:

    Create a Docker image and store the Dockerfile.
    Test the created Docker image.
    Push the Docker image into the Artifact Registry.
    Use the image to create and expose a deployment in Kubernetes



IMPORTANT:

Don't forget to run the following line before you run the **marking scripts**:
```
export GOOGLE_CLOUD_PROJECT=$(gcloud config get-value project)
```
